Bug 101126

Summary: Decouple Attr logic from ElementAttributeData.
Product: WebKit Reporter: Andreas Kling <kling>
Component: DOMAssignee: Andreas Kling <kling>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Cool patch
webkit-ews: commit-queue-
Cooler patch
koivisto: review+, webkit-ews: commit-queue-
Coolest patch none

Description Andreas Kling 2012-11-02 16:50:27 PDT
Attr is per-Element, and one ElementAttributeData can be used by multiple Elements.
Hence, Attr should be managed by Element instead of ElementAttributeData.
Comment 1 Andreas Kling 2012-11-03 03:46:31 PDT
Created attachment 172216 [details]
Cool patch
Comment 2 Early Warning System Bot 2012-11-03 03:56:10 PDT
Comment on attachment 172216 [details]
Cool patch

Attachment 172216 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/14726117
Comment 3 Early Warning System Bot 2012-11-03 03:58:22 PDT
Comment on attachment 172216 [details]
Cool patch

Attachment 172216 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/14726116
Comment 4 Andreas Kling 2012-11-03 03:59:03 PDT
Created attachment 172217 [details]
Cooler patch
Comment 5 Antti Koivisto 2012-11-03 04:02:30 PDT
Comment on attachment 172216 [details]
Cool patch

View in context: https://bugs.webkit.org/attachment.cgi?id=172216&action=review

> Source/WebCore/dom/Node.h:243
> +    bool hasSyntheticAttrChildNodes() const { return getFlag(HasSyntheticAttrChildNodesFlag); }
> +    void setHasSyntheticAttrChildNodes(bool f) { setFlag(f, HasSyntheticAttrChildNodesFlag); }

f?!

I like the use of 'synthetic' here.
Comment 6 Early Warning System Bot 2012-11-03 04:11:14 PDT
Comment on attachment 172217 [details]
Cooler patch

Attachment 172217 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/14721175
Comment 7 Early Warning System Bot 2012-11-03 04:12:22 PDT
Comment on attachment 172217 [details]
Cooler patch

Attachment 172217 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/14721176
Comment 8 Andreas Kling 2012-11-03 04:16:43 PDT
Created attachment 172219 [details]
Coolest patch
Comment 9 WebKit Review Bot 2012-11-03 04:56:21 PDT
Comment on attachment 172219 [details]
Coolest patch

Clearing flags on attachment: 172219

Committed r133394: <http://trac.webkit.org/changeset/133394>
Comment 10 WebKit Review Bot 2012-11-03 04:56:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 Andreas Kling 2012-11-05 10:07:28 PST
Committed r133492: <http://trac.webkit.org/changeset/133492>